import { type NullableOrNot, type ValidationError, ValueObject } from './index.js';
export declare abstract class Text<Nullable extends boolean = false> extends ValueObject<NullableOrNot<number | string, Nullable>, NullableOrNot<string, Nullable>> {
    protected fromInput(): NullableOrNot<string, Nullable>;
    protected getValidationMinLength(): number | undefined;
    protected getValidationMaxLength(): number | undefined;
    getErrors(name: string): ValidationError[] | undefined;
    compare(value: this): number;
}
